<%@ page import="jet.web.dhtml.*" %>
<%@ page import="java.util.*" %>
<!-- include the jsp for check user login -->
<%@ include file="../dhtmljsp/AuthCheck.jsp" %>
<%	
	Hashtable htparams = new Hashtable();
	//set repor info
	htparams.put("jrs.cmd", "jrs.try_vw");
	htparams.put("jrs.result_type", "8");
	htparams.put("jrs.report", "/JinfonetGourmetJava/ProductSalesAnalysis.cls");
	htparams.put("jrs.catalog", "/JinfonetGourmetJava/JinfonetGourmetJava.cat");  
	
	Map tmpmap = DHTMLUtil.runReport(request, htparams);
	String targetURL = null;
	String errorMsg = null;
	
	if(tmpmap != null){
		errorMsg = (String)tmpmap.get(DHTMLConstant.ERROR_MSG);
		targetURL = (String)tmpmap.get(DHTMLConstant.TARGET_URI);
		if(errorMsg != null && !errorMsg.trim().equals("")){
			PrintWriter jwout = response.getWriter();
			jwout.print(errorMsg);
			return;
		}else{
			//forward to refresh jsp
			if(targetURL != null && !targetURL.trim().equals("")) {
				response.sendRedirect(targetURL);
			}
		}
	}
%>
	

